Debian Bug report logs - #600286
linux-image-2.6.32-5-amd64: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: nisse@lysator.liu.se (Niels Möller)

Date: Fri, 15 Oct 2010 15:09:02 UTC

Severity: important

Tags: moreinfo, patch, upstream

Found in versions linux-2.6/3.2.19-1, 2.6.32-23

Forwarded to http://thread.gmane.org/gmane.linux.kernel/1252281/focus=221683

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Fri, 15 Oct 2010 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to nisse@lysator.liu.se (Niels Möller):
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Oct 2010 15:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: nisse@lysator.liu.se (Niels Möller)
To: submit@bugs.debian.org
Subject: linux-image-2.6.32-5-amd64: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Fri, 15 Oct 2010 16:34:50 +0200
Package: linux-2.6
Version: 2.6.32-23
Severity: important

*** Please type your report below this line ***

My wired network interface stops working (not able to transmit any
packets, I think, but it might be reception which is broken. Anyway,
ping to hosts on the local network results in a No route to host error,
which means that sending or receiving arp packets fail).

I see the following traceback in dmesg:

  [73228.976129] device eth0 entered promiscuous mode
  [73247.596111] device eth0 left promiscuous mode
  [74027.804522] ------------[ cut here ]------------
  [74027.804536] WARNING: at /tmp/buildd/linux-2.6-2.6.32/debian/build/source_amd64_none/net/sched/sch_generic.c:261 dev_watchdog+0xe2/0x194()
  [74027.804541] Hardware name: Aspire 1810TZ
  [74027.804544] NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out
  [74027.804547] Modules linked in: acpi_cpufreq cpufreq_stats cpufreq_powersave cpufreq_userspace cpufreq_conservative sco bridge stp bnep rfcomm l2cap crc16 binfmt_misc uinput fuse coretemp loop snd_hda_codec_intelhdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss arc4 ecb snd_pcm snd_seq_midi snd_rawmidi iwlagn snd_seq_midi_event joydev iwlcore snd_seq snd_timer uvcvideo snd_seq_device i915 drm_kms_helper drm btusb snd videodev acer_wmi mac80211 v4l1_compat i2c_i801 i2c_algo_bit psmouse v4l2_compat_ioctl32 led_class bluetooth soundcore video cfg80211 rfkill snd_page_alloc output wmi i2c_core pcspkr evdev serio_raw processor battery ac button ext3 jbd mbcache sd_mod crc_t10dif uhci_hcd ahci libata thermal thermal_sys ehci_hcd atl1c scsi_mod usbcore nls_base [last unloaded: scsi_wait_scan]
  [74027.804649] Pid: 0, comm: swapper Tainted: G        W  2.6.32-5-amd64 #1
  [74027.804652] Call Trace:
  [74027.804655]  <IRQ>  [<ffffffff8126157e>] ? dev_watchdog+0xe2/0x194
  [74027.804666]  [<ffffffff8126157e>] ? dev_watchdog+0xe2/0x194
  [74027.804672]  [<ffffffff8104db34>] ? warn_slowpath_common+0x77/0xa3
  [74027.804678]  [<ffffffff8126149c>] ? dev_watchdog+0x0/0x194
  [74027.804683]  [<ffffffff8104dbbc>] ? warn_slowpath_fmt+0x51/0x59
  [74027.804689]  [<ffffffff8104199b>] ? enqueue_task_fair+0x24/0x68
  [74027.804696]  [<ffffffff8103a2fd>] ? activate_task+0x20/0x26
  [74027.804701]  [<ffffffff81049fde>] ? try_to_wake_up+0x249/0x259
  [74027.804707]  [<ffffffff81261470>] ? netif_tx_lock+0x3d/0x69
  [74027.804713]  [<ffffffff8124c2f8>] ? netdev_drivername+0x3b/0x40
  [74027.804718]  [<ffffffff8126157e>] ? dev_watchdog+0xe2/0x194
  [74027.804724]  [<ffffffff8103f81e>] ? __wake_up+0x30/0x44
  [74027.804731]  [<ffffffff8105a137>] ? run_timer_softirq+0x1c9/0x268
  [74027.804738]  [<ffffffff810538af>] ? __do_softirq+0xdd/0x1a2
  [74027.804744]  [<ffffffff810240da>] ? lapic_next_event+0x18/0x1d
  [74027.804750]  [<ffffffff81011cac>] ? call_softirq+0x1c/0x30
  [74027.804756]  [<ffffffff8101322b>] ? do_softirq+0x3f/0x7c
  [74027.804761]  [<ffffffff8105371e>] ? irq_exit+0x36/0x76
  [74027.804766]  [<ffffffff81024ba8>] ? smp_apic_timer_interrupt+0x87/0x95
  [74027.804772]  [<ffffffff81011673>] ? apic_timer_interrupt+0x13/0x20
  [74027.804775]  <EOI>  [<ffffffffa0059271>] ? acpi_idle_enter_c1+0x9d/0xb8 [processor]
  [74027.804794]  [<ffffffffa005924c>] ? acpi_idle_enter_c1+0x78/0xb8 [processor]
  [74027.804801]  [<ffffffff81238936>] ? cpuidle_idle_call+0x94/0xee
  [74027.804808]  [<ffffffff8100feb1>] ? cpu_idle+0xa2/0xda
  [74027.804812] ---[ end trace a7919e7f17c0a727 ]---

It has hanged in this way twice today, each time after I did two things
which might be related:

1. I sent some large packets (tcp over ipv4 over ethernet) of size up to
   roughly 20000 bytes and at a rate close to the links capacity of
   100Mbit/s. One such packet, displayed by tcpdump:

13:58:15.872214 00:26:9e:b3:2f:3b (oui Unknown) > 00:11:25:85:b0:1a (oui Unknown), ethertype IPv4 (0x0800), length 22790: 192.168.1.135.47058 > 192.168.1.108.4711: Flags [.], seq 1079380:1102104, ack 1, win 32, options [nop,nop,TS val 19304579 ecr 1030215], length 22724

   I have no idea why the kernel sent such large packets. According to
   ifconfig eth0, the MTU is 1500 bytes. Is it supposed to work like
   that, or is this another bug?

2. I used tcpdump, switching the interface to promiscuous mode and
   back (default behaviour, tcpdump -p would have worked just as fine
   for me).

Taking the interface down and up (ifdown eth0 ; ifup eth0) didn't
help. After hibernating the computer and wakening it up, the network
interface started working again.

The version of the atl1c network driver is "1.0.0.1-NAPI". There seems
to be a newer one in Linus' kernel tree, "1.0.1-0-NAPI", but I haven't
been able to figure out if there are any changes which might fix this
problem, and I haven't tried booting any other kernel.

Regards,
/Niels Möller

-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-23) (dannf@debian.org) (gcc version 4.3.5 (Debian 4.3.5-3) ) #1 SMP Fri Sep 17 21:50:19 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=a46a5dc6-1945-4448-ba25-7cf440d80b30 ro quiet

** Tainted: W (512)
 * Taint on warning.

** Kernel log:
[77367.451298] Initializing CPU#1
[77367.451298] CPU: L1 I cache: 32K, L1 D cache: 32K
[77367.451298] CPU: L2 cache: 2048K
[77367.451298] CPU 1/0x1 -> Node 0
[77367.451298] CPU: Physical Processor ID: 0
[77367.451298] CPU: Processor Core ID: 1
[77367.451298] CPU1: Thermal monitoring enabled (TM2)
[77367.548127] CPU1: Genuine Intel(R) CPU           U4100  @ 1.30GHz stepping 0a
[77367.548206] CPU0 attaching NULL sched-domain.
[77367.576043] CPU0 attaching sched-domain:
[77367.576047]  domain 0: span 0-1 level MC
[77367.576050]   groups: 0 1
[77367.576056] CPU1 attaching sched-domain:
[77367.576059]  domain 0: span 0-1 level MC
[77367.576062]   groups: 1 0
[77367.580022] CPU1 is up
[77367.580791] ACPI: Waking up from system sleep state S4
[77367.712481] i915 0000:00:02.0: restoring config space at offset 0x1 (was 0x900007, writing 0x900407)
[77367.712662] HDA Intel 0000:00:1b.0: restoring config space at offset 0x1 (was 0x100006, writing 0x100002)
[77367.712712] pcieport 0000:00:1c.0: restoring config space at offset 0x7 (was 0x20002020, writing 0x2020)
[77367.712788] pcieport 0000:00:1c.3: restoring config space at offset 0x7 (was 0x20001010, writing 0x1010)
[77367.713142] ahci 0000:00:1f.2: restoring config space at offset 0x1 (was 0x2b00403, writing 0x2b00407)
[77367.713270] atl1c 0000:01:00.0: restoring config space at offset 0x1 (was 0x100003, writing 0x100007)
[77367.918464] i915 0000:00:02.0: setting latency timer to 64
[77368.892772] uhci_hcd 0000:00:1a.0: setting latency timer to 64
[77368.892816] usb usb3: root hub lost power or was reset
[77368.892839] ehci_hcd 0000:00:1a.7: setting latency timer to 64
[77368.892845] usb usb1: root hub lost power or was reset
[77368.896746] ehci_hcd 0000:00:1a.7: cache line size of 32 is not supported
[77368.896766] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[77368.896775] HDA Intel 0000:00:1b.0: setting latency timer to 64
[77368.896808] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[77368.896852] usb usb4: root hub lost power or was reset
[77368.896873] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[77368.896915] usb usb5: root hub lost power or was reset
[77368.896935] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[77368.896979] usb usb6: root hub lost power or was reset
[77368.896997] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[77368.897003] usb usb2: root hub lost power or was reset
[77368.900896] ehci_hcd 0000:00:1d.7: cache line size of 32 is not supported
[77368.900913] pci 0000:00:1e.0: setting latency timer to 64
[77368.900929] ahci 0000:00:1f.2: setting latency timer to 64
[77368.976530] atl1c 0000:01:00.0: irq 29 for MSI/MSI-X
[77369.228104] ata2: SATA link down (SStatus 0 SControl 300)
[77369.236103] ata6: SATA link down (SStatus 0 SControl 300)
[77369.244108] ata5: SATA link down (SStatus 0 SControl 300)
[77369.384104] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[77369.386335] ata1.00: ACPI cmd 00/00:00:00:00:00:a0 (NOP) rejected by device (Stat=0x51 Err=0x04)
[77369.386466] ata1.00: ACPI cmd ef/10:01:00:00:00:a0 (SET FEATURES) rejected by device (Stat=0x51 Err=0x04)
[77369.386545] ata1.00: ACPI cmd ef/10:02:00:00:00:a0 (SET FEATURES) succeeded
[77369.386550] ata1.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
[77369.386728] ata1.00: ACPI cmd ef/10:04:00:00:00:a0 (SET FEATURES) rejected by device (Stat=0x51 Err=0x04)
[77369.386912] ata1.00: ACPI cmd ef/10:05:00:00:00:a0 (SET FEATURES) rejected by device (Stat=0x51 Err=0x04)
[77369.445381] ata1.00: ACPI cmd 00/00:00:00:00:00:a0 (NOP) rejected by device (Stat=0x51 Err=0x04)
[77369.445631] ata1.00: ACPI cmd ef/10:01:00:00:00:a0 (SET FEATURES) rejected by device (Stat=0x51 Err=0x04)
[77369.445637] ata1.00: ACPI cmd ef/10:03:00:00:00:a0 (SET FEATURES) filtered out
[77369.445881] ata1.00: ACPI cmd ef/10:04:00:00:00:a0 (SET FEATURES) rejected by device (Stat=0x51 Err=0x04)
[77369.446112] ata1.00: ACPI cmd ef/10:05:00:00:00:a0 (SET FEATURES) rejected by device (Stat=0x51 Err=0x04)
[77369.446458] ata1.00: configured for UDMA/133
[77369.828107] usb 2-5: reset high speed USB device using ehci_hcd and address 2
[77370.012836] sd 0:0:0:0: [sda] Starting disk
[77370.160050] usb 6-2: reset full speed USB device using uhci_hcd and address 2
[77370.311140] btusb 6-2:1.0: no reset_resume for driver btusb?
[77370.311145] btusb 6-2:1.1: no reset_resume for driver btusb?
[77370.569198] PM: Image restored successfully.
[77370.569201] Restarting tasks ... done.
[77370.570243] PM: Basic memory bitmaps freed
[77370.642475] atl1c 0000:01:00.0: atl1c: eth0 NIC Link is Up<100 Mbps Full Duplex>
[77381.433409] Registered led device: iwl-phy0::radio
[77381.433444] Registered led device: iwl-phy0::assoc
[77381.433472] Registered led device: iwl-phy0::RX
[77381.433502] Registered led device: iwl-phy0::TX
[77381.445492] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[77383.245528] CPU0 attaching NULL sched-domain.
[77383.245537] CPU1 attaching NULL sched-domain.
[77383.268195] CPU0 attaching sched-domain:
[77383.268200]  domain 0: span 0-1 level MC
[77383.268204]   groups: 0 1
[77383.268213] CPU1 attaching sched-domain:
[77383.268216]  domain 0: span 0-1 level MC
[77383.268220]   groups: 1 0
[77383.407681] CPU0 attaching NULL sched-domain.
[77383.407690] CPU1 attaching NULL sched-domain.
[77383.428114] CPU0 attaching sched-domain:
[77383.428120]  domain 0: span 0-1 level MC
[77383.428124]   groups: 0 1
[77383.428132] CPU1 attaching sched-domain:
[77383.428136]  domain 0: span 0-1 level MC
[77383.428139]   groups: 1 0
[77387.153457] CPU0 attaching NULL sched-domain.
[77387.153465] CPU1 attaching NULL sched-domain.
[77387.176114] CPU0 attaching sched-domain:
[77387.176119]  domain 0: span 0-1 level MC
[77387.176123]   groups: 0 1
[77387.176131] CPU1 attaching sched-domain:
[77387.176135]  domain 0: span 0-1 level MC
[77387.176138]   groups: 1 0
[77401.726357] atl1c 0000:01:00.0: irq 29 for MSI/MSI-X
[77401.726431] atl1c 0000:01:00.0: atl1c: eth0 NIC Link is Up<100 Mbps Full Duplex>
[77411.788018] eth0: no IPv6 routers present

** Model information
sys_vendor: Acer
product_name: Aspire 1810TZ
product_version: v0.3115
chassis_vendor: Chassis Manufacturer
chassis_version: Chassis Version
bios_vendor: INSYDE
bios_version: v0.3115
board_vendor: Acer
board_name: Base Board Product Name
board_version: Base Board Version

** Loaded modules:
Module                  Size  Used by
acpi_cpufreq            5523  0 
cpufreq_stats           2659  0 
cpufreq_powersave        902  0 
cpufreq_userspace       1960  0 
cpufreq_conservative     5162  0 
sco                     7209  2 
bridge                 39470  0 
stp                     1440  1 bridge
bnep                    9363  2 
rfcomm                 29533  8 
l2cap                  24736  16 bnep,rfcomm
crc16                   1319  1 l2cap
binfmt_misc             6399  1 
uinput                  6376  1 
fuse                   49998  1 
coretemp                4325  0 
loop                   11767  0 
snd_hda_codec_intelhdmi    10695  1 
snd_hda_codec_realtek   235570  1 
snd_hda_intel          19955  0 
snd_hda_codec          54244  3 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               5380  1 snd_hda_codec
snd_pcm_oss            32591  0 
snd_mixer_oss          12606  1 snd_pcm_oss
arc4                    1274  2 
ecb                     1841  2 
snd_pcm                60503  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            4400  0 
snd_rawmidi            15515  1 snd_seq_midi
iwlagn                 73059  0 
snd_seq_midi_event      4628  1 snd_seq_midi
joydev                  8411  0 
iwlcore                77282  1 iwlagn
snd_seq                42737  2 snd_seq_midi,snd_seq_midi_event
snd_timer              15582  2 snd_pcm,snd_seq
uvcvideo               51887  0 
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
i915                  254663  2 
drm_kms_helper         20033  1 i915
drm                   142151  3 i915,drm_kms_helper
btusb                   9817  2 
snd                    46414  12 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
videodev               29881  1 uvcvideo
acer_wmi               12640  0 
mac80211              136604  2 iwlagn,iwlcore
v4l1_compat            11442  2 uvcvideo,videodev
i2c_i801                7830  0 
i2c_algo_bit            4225  1 i915
psmouse                49729  0 
v4l2_compat_ioctl32     8474  1 videodev
led_class               2433  2 iwlcore,acer_wmi
bluetooth              41763  9 sco,bnep,rfcomm,l2cap,btusb
soundcore               4598  1 snd
video                  17445  1 i915
cfg80211              100792  3 iwlagn,iwlcore,mac80211
rfkill                 12964  4 acer_wmi,bluetooth,cfg80211
snd_page_alloc          6169  2 snd_hda_intel,snd_pcm
output                  1692  1 video
wmi                     4323  1 acer_wmi
i2c_core               15680  6 i915,drm_kms_helper,drm,videodev,i2c_i801,i2c_algo_bit
pcspkr                  1699  0 
evdev                   7352  24 
serio_raw               3752  0 
processor              30239  3 acpi_cpufreq
battery                 4998  0 
ac                      2192  0 
button                  4650  1 i915
ext3                  106134  2 
jbd                    36877  1 ext3
mbcache                 5050  1 ext3
sd_mod                 29713  4 
crc_t10dif              1276  1 sd_mod
uhci_hcd               18457  0 
ahci                   32310  3 
libata                133328  1 ahci
thermal                11674  0 
thermal_sys            11942  3 video,processor,thermal
ehci_hcd               30895  0 
atl1c                  26108  0 
scsi_mod              121861  2 sd_mod,libata
usbcore               121698  5 uvcvideo,btusb,uhci_hcd,ehci_hcd
nls_base                6377  1 usbcore

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0
iface eth0 inet dhcp

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:26:9e:b3:2f:3b brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.135/24 brd 192.168.1.255 scope global eth0
    inet6 fe80::226:9eff:feb3:2f3b/64 scope link 
       valid_lft forever preferred_lft forever
3: wlan0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether 00:1e:64:26:c0:30 brd ff:ff:ff:ff:ff:ff
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether 16:e3:f4:be:a3:db brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:11585197  100577    0    0    0     0          0         0 11585197  100577    0    0    0     0       0          0
  eth0:552328381 2412731    0 4214 4214  4214          0       691 10734346007 52332730    1    0    1     0       2          0
 wlan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    2462756 total packets received
    6 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    2462649 incoming packets delivered
    54179222 requests sent out
    1 outgoing packets dropped
    7264 dropped because of missing route
    101 reassemblies required
    45 packets reassembled ok
Icmp:
    4737 ICMP messages received
    55 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 4735
        echo requests: 2
    4839 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 4832
        echo request: 5
        echo replies: 2
IcmpMsg:
        InType3: 4735
        InType8: 2
        OutType0: 2
        OutType3: 4832
        OutType8: 5
Tcp:
    1865 active connections openings
    5 passive connection openings
    16 failed connection attempts
    43 connection resets received
    3 connections established
    2339546 segments received
    602244 segments send out
    89 segments retransmited
    0 bad segments received.
    98 resets sent
Udp:
    100347 packets received
    1713 packets to unknown port received.
    0 packet receive errors
    53572056 packets sent
    SndbufErrors: 1
UdpLite:
TcpExt:
    1 packets pruned from receive queue because of socket buffer overrun
    1118 TCP sockets finished time wait in fast timer
    1 time wait sockets recycled by time stamp
    3393 delayed acks sent
    1 delayed acks further delayed because of locked socket
    Quick ack mode was activated 13 times
    252419 packets directly queued to recvmsg prequeue.
    1448 bytes directly in process context from backlog
    273930552 bytes directly received in process context from prequeue
    69479 packet headers predicted
    187955 packets header predicted and directly queued to user
    59009 acknowledgments not containing data payload received
    1994394 predicted acknowledgments
    23 congestion windows recovered without slow start after partial ack
    50 other TCP timeouts
    49 packets collapsed in receive queue due to low socket buffer
    14 DSACKs sent for old packets
    3 DSACKs received
    10 connections reset due to unexpected data
    33 connections reset due to early user close
    3 connections aborted due to timeout
    TCPDSACKIgnoredOld: 1
    TCPDSACKIgnoredNoUndo: 1
IpExt:
    InMcastPkts: 643
    InBcastPkts: 15659
    InOctets: 527798805
    OutOctets: 1133569566
    InMcastOctets: 20576
    InBcastOctets: 2591508

*** Device features:
eth0: 0x110989
lo: 0x13865
pan0: 0xff3865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 30d0 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d2400000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 30a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at d4504c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at d4500000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d3500000-d44fffff
	Prefetchable memory behind bridge: 00000000d0400000-00000000d13fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 [8086:2946] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: d2500000-d34fffff
	Prefetchable memory behind bridge: 00000000d1400000-00000000d23fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 3080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 3060 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 3040 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d4504800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation ICH9M/M-E SATA AHCI Controller [8086:2929] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 26
	Region 0: I/O ports at 30c8 [size=8]
	Region 1: I/O ports at 30dc [size=4]
	Region 2: I/O ports at 30c0 [size=8]
	Region 3: I/O ports at 30d8 [size=4]
	Region 4: I/O ports at 3020 [size=32]
	Region 5: Memory at d4504000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at d4505000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 3000 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 Ethernet controller [0200]: Atheros Communications AR8131 Gigabit Ethernet [1969:1063] (rev c0)
	Subsystem: Acer Incorporated [ALI] Device [1025:029b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at d3500000 (64-bit, non-prefetchable) [size=256K]
	Region 2: I/O ports at 2000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: atl1c

02:00.0 Network controller [0280]: Intel Corporation Centrino Wireless-N 1000 [8086:0083]
	Subsystem: Intel Corporation Centrino Wireless-N 1000 BGN [8086:1305]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at d2500000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn


** USB devices:
Bus 006 Device 002: ID 0489:e011 Foxconn / Hon Hai 
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 064e:a102 Suyin Corp. Acer/Lenovo Webcam [CN0316]
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.4     tools for generating an initramfs
ii  linux-base                    2.6.32-23  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
pn  firmware-linux-free           <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:

-- 
Niels Möller. PGP-encrypted email is preferred. Keyid C0B98E26.
Internet email is subject to wholesale government surveillance.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sun, 17 Oct 2010 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 01:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 600286@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Niels Möller <nisse@lysator.liu.se>, 600286@bugs.debian.org
Subject: Re: Bug#600286: linux-image-2.6.32-5-amd64: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Sun, 17 Oct 2010 02:38:22 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-10-15 at 16:34 +0200, Niels Möller wrote:
> Package: linux-2.6
> Version: 2.6.32-23
> Severity: important
> 
> *** Please type your report below this line ***
> 
> My wired network interface stops working (not able to transmit any
> packets, I think, but it might be reception which is broken. Anyway,
> ping to hosts on the local network results in a No route to host error,
> which means that sending or receiving arp packets fail).
[...]
> It has hanged in this way twice today, each time after I did two things
> which might be related:
> 
> 1. I sent some large packets (tcp over ipv4 over ethernet) of size up to
>    roughly 20000 bytes and at a rate close to the links capacity of
>    100Mbit/s. One such packet, displayed by tcpdump:
> 
> 13:58:15.872214 00:26:9e:b3:2f:3b (oui Unknown) > 00:11:25:85:b0:1a (oui Unknown), ethertype IPv4 (0x0800), length 22790: 192.168.1.135.47058 > 192.168.1.108.4711: Flags [.], seq 1079380:1102104, ack 1, win 32, options [nop,nop,TS val 19304579 ecr 1030215], length 22724
> 
>    I have no idea why the kernel sent such large packets. According to
>    ifconfig eth0, the MTU is 1500 bytes. Is it supposed to work like
>    that, or is this another bug?
[...]

This driver and hardware implement TCP Segmentation Offload (TSO), which
means the kernel can provide oversized pseudo-packets that are turned
into multiple packets on the wire.

I did notice a later bug fix to this driver which might possibly address
the bug you're seeing.  Please can you test the attached patch,
following the instructions at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[0001-atl1c-duplicate-atl1c_get_tpd.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo and patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 17 Oct 2010 01:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sat, 30 Jul 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 30 Jul 2011 10:15:48 GMT) Full text and rfc822 format available.

Message #17 received at 600286@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Niels Möller <nisse@lysator.liu.se>
Cc: 600286@bugs.debian.org
Subject: Re: Bug#600286: linux-image-2.6.32-5-amd64: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Sat, 30 Jul 2011 12:14:23 +0200
On Sun, Oct 17, 2010 at 02:38:22AM +0100, Ben Hutchings wrote:
> >    I have no idea why the kernel sent such large packets. According to
> >    ifconfig eth0, the MTU is 1500 bytes. Is it supposed to work like
> >    that, or is this another bug?
> [...]
> 
> This driver and hardware implement TCP Segmentation Offload (TSO), which
> means the kernel can provide oversized pseudo-packets that are turned
> into multiple packets on the wire.
> 
> I did notice a later bug fix to this driver which might possibly address
> the bug you're seeing.  Please can you test the attached patch,
> following the instructions at
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Niels, did you try the patch or has this been resolved in more recent kernels?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sun, 31 Jul 2011 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to nisse@lysator.liu.se (Niels Möller):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 31 Jul 2011 20:00:05 GMT) Full text and rfc822 format available.

Message #22 received at 600286@bugs.debian.org (full text, mbox):

From: nisse@lysator.liu.se (Niels Möller)
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: 600286@bugs.debian.org
Subject: Re: Bug#600286: linux-image-2.6.32-5-amd64: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Sun, 31 Jul 2011 21:47:22 +0200
Moritz Mühlenhoff <jmm@inutil.org> writes:

> Niels, did you try the patch or has this been resolved in more recent kernels?

I built and installed a custom kernel with this patch. I think I've seen
the same (or very similar) problem a few times with the patched kernel,
but I haven't really tried to provoke it.

Since I built this custom kernel, I have not tried any newer debian
packaged kernels.

I'm sorry I haven't had much time to look further into this.

Regards,
/Niels

-- 
Niels Möller. PGP-encrypted email is preferred. Keyid C0B98E26.
Internet email is subject to wholesale government surveillance.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sat, 03 Dec 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Dec 2011 03:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 600286@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Niels Möller <nisse@lysator.liu.se>
Cc: 600286@bugs.debian.org
Subject: Re: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Fri, 2 Dec 2011 21:18:09 -0600
Niels Möller wrote:

> I built and installed a custom kernel with this patch. I think I've seen
> the same (or very similar) problem a few times with the patched kernel,
> but I haven't really tried to provoke it.

Thanks for testing.  Drat.

Could you try a 3.x.y kernel from sid or experimental?  (The only
packages from outside squeeze that should be needed to do so are the
kernel image itself, linux-base, and initramfs-tools.)  If it
reproduces the problem, we can get help from upstream, and if it
doesn't, we can try some intermediate versions from
snapshot.debian.org to find a fix to try to apply to squeeze.

Sorry for the long silence.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sun, 18 Mar 2012 19:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to vorobev2002@mail.ru:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 18 Mar 2012 19:27:06 GMT) Full text and rfc822 format available.

Message #32 received at 600286@bugs.debian.org (full text, mbox):

From: pavka <vorobev2002@mail.ru>
To: 600286@bugs.debian.org
Subject: Re: Bug#600286: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Sun, 18 Mar 2012 23:22:38 +0400
debian testing

root@pavka:/var/log# uname -a
Linux pavka 3.2.0-2-686-pae #1 SMP Tue Mar 13 21:38:34 UTC 2012 i686 
GNU/Linux


root@pavka:/var/log# lspci -nn | grep Ather
03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR8131 
Gigabit Ethernet [1969:1063] (rev c0)

root@pavka:/var/log# zcat messages.2.gz | grep 'end trace'
Mar  9 09:29:33 pavka kernel: [121773.423857] ---[ end trace 
d1d666c717ff01fc ]---

Mar  9 09:29:33 pavka kernel: [121773.423605] ------------[ cut here 
]------------
Mar  9 09:29:33 pavka kernel: [121773.423619] WARNING: at 
/build/buildd-linux-2.6_3.2.6-1-i386-Ea61XL/linux-2.6-3.2.6/debian/build/source_i386_none/net/sched/sch_generic.c:255 
dev_watchdog+0xb1/0x104()
Mar  9 09:29:33 pavka kernel: [121773.423625] Hardware name: INVALID
Mar  9 09:29:33 pavka kernel: [121773.423628] NETDEV WATCHDOG: eth0 
(atl1c): transmit queue 0 timed out
Mar  9 09:29:33 pavka kernel: [121773.423631] Modules linked in: 
snd_hrtimer pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) 
cpufreq_stats parport_pc ppdev lp parport nf_conntrack_netlink 
nf_conntrack nfnetlink bnep rfcomm binfmt_misc uinput fuse nfsd nfs 
lockd fscache auth_rpcgss nfs_acl sunrpc ext4 jbd2 cpufreq_userspace 
cpufreq_powersave cpufreq_conservative acpi_cpufreq mperf loop 
snd_hda_codec_hdmi snd_hda_codec_realtek uvcvideo videodev media 
snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm 
snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq arc4 btusb bluetooth 
crc16 snd_timer snd_seq_device joydev i915 drm_kms_helper drm snd 
i2c_algo_bit soundcore snd_page_alloc brcmsmac mac80211 brcmutil 
cfg80211 psmouse crc8 serio_raw iTCO_wdt acer_wmi ideapad_laptop pcspkr 
sparse_keymap i2c_i801 i2c_core cordic intel_ips iTCO_vendor_support 
rfkill evdev battery ac processor button video power_supply wmi ext3 jbd 
mbcache sd_mod sr_mod crc_t10dif cdrom ahci libahci libata scsi_mod ehci
Mar  9 09:29:33 pavka kernel: [121773.423739] Pid: 0, comm: swapper/2 
Tainted: G           O 3.2.0-1-686-pae #1
Mar  9 09:29:33 pavka kernel: [121773.423743] Call Trace:
Mar  9 09:29:33 pavka kernel: [121773.423754]  [<c1038328>] ? 
warn_slowpath_common+0x68/0x79
Mar  9 09:29:33 pavka kernel: [121773.423759]  [<c122a37c>] ? 
dev_watchdog+0xb1/0x104
Mar  9 09:29:33 pavka kernel: [121773.423763]  [<c10383a1>] ? 
warn_slowpath_fmt+0x29/0x2d
Mar  9 09:29:33 pavka kernel: [121773.423767]  [<c122a37c>] ? 
dev_watchdog+0xb1/0x104
Mar  9 09:29:33 pavka kernel: [121773.423777]  [<c103cd5d>] ? 
local_bh_enable+0x2/0x2
Mar  9 09:29:33 pavka kernel: [121773.423783]  [<c1041f20>] ? 
run_timer_softirq+0x150/0x1f3
Mar  9 09:29:33 pavka kernel: [121773.423787]  [<c122a2cb>] ? 
netif_tx_unlock+0x3a/0x3a
Mar  9 09:29:33 pavka kernel: [121773.423792]  [<c103cd5d>] ? 
local_bh_enable+0x2/0x2
Mar  9 09:29:33 pavka kernel: [121773.423796]  [<c103cdf1>] ? 
__do_softirq+0x94/0x12f
Mar  9 09:29:33 pavka kernel: [121773.423801]  [<c103cd5d>] ? 
local_bh_enable+0x2/0x2
Mar  9 09:29:33 pavka kernel: [121773.423803] <IRQ>  [<c103cfe2>] ? 
irq_exit+0x32/0x80
Mar  9 09:29:33 pavka kernel: [121773.423814]  [<c101e6f4>] ? 
smp_apic_timer_interrupt+0x5b/0x65
Mar  9 09:29:33 pavka kernel: [121773.423820]  [<c12ba061>] ? 
apic_timer_interrupt+0x31/0x38
Mar  9 09:29:33 pavka kernel: [121773.423827]  [<c103007b>] ? 
update_group_power+0xab/0xbf
Mar  9 09:29:33 pavka kernel: [121773.423834]  [<c11910ea>] ? 
intel_idle+0xcc/0xfa
Mar  9 09:29:33 pavka kernel: [121773.423841]  [<c12044be>] ? 
cpuidle_idle_call+0xcc/0x142
Mar  9 09:29:33 pavka kernel: [121773.423848]  [<c100b22a>] ? 
cpu_idle+0x8b/0xaf
Mar  9 09:29:33 pavka kernel: [121773.423853]  [<c12b07d9>] ? 
start_secondary+0x1be/0x1c3
Mar  9 09:29:33 pavka kernel: [121773.423857] ---[ end trace 
d1d666c717ff01fc ]---



root@pavka:/var/log# cat messages.1 | grep 'end trace'
Mar 12 22:41:37 pavka kernel: [38015.342177] ---[ end trace 
b0438f7fc0ea4a58 ]---

Mar 12 22:41:37 pavka kernel: [38015.341830] ------------[ cut here 
]------------
Mar 12 22:41:37 pavka kernel: [38015.341849] WARNING: at 
/build/buildd-linux-2.6_3.2.9-1-i386-YUHlYw/linux-2.6-3.2.9/debian/build/source_i386_none/net/sched/sch_generic.c:255 
dev_watchdog+0xb1/0x104()
Mar 12 22:41:37 pavka kernel: [38015.341856] Hardware name: INVALID
Mar 12 22:41:37 pavka kernel: [38015.341861] NETDEV WATCHDOG: eth0 
(atl1c): transmit queue 0 timed out
Mar 12 22:41:37 pavka kernel: [38015.341864] Modules linked in: nls_utf8 
isofs snd_hrtimer cpufreq_stats parport_pc ppdev lp parport 
nf_conntrack_netlink nf_conntrack nfnetlink rfcomm bnep binfmt_misc 
uinput fuse nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ext4 jbd2 
cpufreq_userspace cpufreq_powersave cpufreq_conservative acpi_cpufreq 
mperf loop snd_hda_codec_hdmi snd_hda_codec_realtek uvcvideo videodev 
media snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss 
snd_pcm snd_seq_midi arc4 snd_rawmidi snd_seq_midi_event snd_seq 
snd_timer snd_seq_device btusb bluetooth crc16 snd i915 brcmsmac 
drm_kms_helper mac80211 drm ideapad_laptop soundcore acer_wmi 
sparse_keymap joydev snd_page_alloc brcmutil i2c_algo_bit i2c_i801 
battery i2c_core cfg80211 rfkill ac power_supply crc8 cordic iTCO_wdt 
iTCO_vendor_support intel_ips psmouse pcspkr evdev video button 
serio_raw wmi processor ext3 jbd mbcache sd_mod sr_mod cdrom crc_t10dif 
ahci libahci libata scsi_mod ehci_hcd atl1c usbcore usb_common thermal 
thermal
Mar 12 22:41:37 pavka kernel: [38015.342018] Pid: 0, comm: swapper/3 Not 
tainted 3.2.0-2-686-pae #1
Mar 12 22:41:37 pavka kernel: [38015.342022] Call Trace:
Mar 12 22:41:37 pavka kernel: [38015.342033]  [<c1038398>] ? 
warn_slowpath_common+0x68/0x79
Mar 12 22:41:37 pavka kernel: [38015.342040]  [<c122aea0>] ? 
dev_watchdog+0xb1/0x104
Mar 12 22:41:37 pavka kernel: [38015.342046]  [<c1038411>] ? 
warn_slowpath_fmt+0x29/0x2d
Mar 12 22:41:37 pavka kernel: [38015.342053]  [<c122aea0>] ? 
dev_watchdog+0xb1/0x104
Mar 12 22:41:37 pavka kernel: [38015.342066]  [<c103cdcd>] ? 
local_bh_enable+0x2/0x2
Mar 12 22:41:37 pavka kernel: [38015.342074]  [<c1041f90>] ? 
run_timer_softirq+0x150/0x1f3
Mar 12 22:41:37 pavka kernel: [38015.342081]  [<c122adef>] ? 
netif_tx_unlock+0x3a/0x3a
Mar 12 22:41:37 pavka kernel: [38015.342088]  [<c103cdcd>] ? 
local_bh_enable+0x2/0x2
Mar 12 22:41:37 pavka kernel: [38015.342094]  [<c103ce61>] ? 
__do_softirq+0x94/0x12f
Mar 12 22:41:37 pavka kernel: [38015.342101]  [<c103cdcd>] ? 
local_bh_enable+0x2/0x2
Mar 12 22:41:37 pavka kernel: [38015.342105] <IRQ>  [<c103d052>] ? 
irq_exit+0x32/0x80
Mar 12 22:41:37 pavka kernel: [38015.342120]  [<c101e760>] ? 
smp_apic_timer_interrupt+0x5b/0x65
Mar 12 22:41:37 pavka kernel: [38015.342127]  [<c12bada9>] ? 
apic_timer_interrupt+0x31/0x38
Mar 12 22:41:37 pavka kernel: [38015.342135]  [<c103007b>] ? 
update_group_power+0x3f/0xbf
Mar 12 22:41:37 pavka kernel: [38015.342146]  [<c1191baa>] ? 
intel_idle+0xcc/0xfa
Mar 12 22:41:37 pavka kernel: [38015.342154]  [<c1204f92>] ? 
cpuidle_idle_call+0xcc/0x142
Mar 12 22:41:37 pavka kernel: [38015.342164]  [<c100b225>] ? 
cpu_idle+0x8b/0xaf
Mar 12 22:41:37 pavka kernel: [38015.342171]  [<c12b14ac>] ? 
start_secondary+0x1be/0x1c3
Mar 12 22:41:37 pavka kernel: [38015.342177] ---[ end trace 
b0438f7fc0ea4a58 ]---

===
https://lkml.org/lkml/2012/2/24/365
https://bugzilla.redhat.com/show_bug.cgi?id=717211




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sat, 24 Mar 2012 10:21:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to vorobev2002@mail.ru:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Mar 2012 10:22:14 GMT) Full text and rfc822 format available.

Message #37 received at 600286@bugs.debian.org (full text, mbox):

From: pavka <vorobev2002@mail.ru>
To: 600286@bugs.debian.org
Subject: Re: Bug#600286: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Sat, 24 Mar 2012 14:17:24 +0400
debian testing
kernel sid

Mar 24 13:44:44 pavka kernel: [139226.190632] ------------[ cut here 
]------------
Mar 24 13:44:44 pavka kernel: [139226.190644] WARNING: at 
/build/buildd-linux-2.6_3.2.12-1-i386-naqH8d/linux-2.6-3.2.12/debian/build/source_i386_none/net/sched/sch_generic.c:255 
dev_watchdog+0xb1/0x104()
Mar 24 13:44:44 pavka kernel: [139226.190649] Hardware name: INVALID
Mar 24 13:44:44 pavka kernel: [139226.190652] NETDEV WATCHDOG: eth0 
(atl1c): transmit queue 0 timed out
Mar 24 13:44:44 pavka kernel: [139226.190654] Modules linked in: 
nls_utf8 isofs snd_hrtimer cpufreq_stats parport_pc ppdev lp parport 
nf_conntrack_netlink nf_conntrack nfnetlink rfcomm bnep binfmt_misc 
uinput fuse nfsd nfs lockd fscache auth_rpcgss nfs_acl sunrpc ext4 jbd2 
cpufreq_userspace cpufreq_powersave cpufreq_conservative acpi_cpufreq 
mperf loop snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel 
snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm uvcvideo 
videodev snd_seq_midi media btusb snd_rawmidi snd_seq_midi_event 
bluetooth snd_seq arc4 crc16 joydev snd_timer snd_seq_device acer_wmi 
ideapad_laptop brcmsmac battery mac80211 i915 brcmutil drm_kms_helper 
drm psmouse i2c_algo_bit ac snd cfg80211 sparse_keymap iTCO_wdt 
power_supply rfkill soundcore i2c_i801 i2c_core snd_page_alloc 
iTCO_vendor_support wmi pcspkr evdev serio_raw crc8 processor button 
video intel_ips cordic ext3 jbd mbcache sr_mod sd_mod cdrom crc_t10dif 
ahci libahci libata scsi_mod ehci_hcd usbcore atl1c usb_common thermal 
therma
Mar 24 13:44:44 pavka kernel: [139226.190761] Pid: 0, comm: swapper/2 
Not tainted 3.2.0-2-686-pae #1
Mar 24 13:44:44 pavka kernel: [139226.190764] Call Trace:
Mar 24 13:44:44 pavka kernel: [139226.190772]  [<c1038470>] ? 
warn_slowpath_common+0x68/0x79
Mar 24 13:44:44 pavka kernel: [139226.190776]  [<c12310cc>] ? 
dev_watchdog+0xb1/0x104
Mar 24 13:44:44 pavka kernel: [139226.190781]  [<c10384e9>] ? 
warn_slowpath_fmt+0x29/0x2d
Mar 24 13:44:44 pavka kernel: [139226.190785]  [<c12310cc>] ? 
dev_watchdog+0xb1/0x104
Mar 24 13:44:44 pavka kernel: [139226.190794]  [<c103cea5>] ? 
local_bh_enable+0x2/0x2
Mar 24 13:44:44 pavka kernel: [139226.190799]  [<c1042058>] ? 
run_timer_softirq+0x150/0x1f3
Mar 24 13:44:44 pavka kernel: [139226.190803]  [<c123101b>] ? 
netif_tx_unlock+0x3a/0x3a
Mar 24 13:44:44 pavka kernel: [139226.190808]  [<c103cea5>] ? 
local_bh_enable+0x2/0x2
Mar 24 13:44:44 pavka kernel: [139226.190812]  [<c103cf39>] ? 
__do_softirq+0x94/0x12f
Mar 24 13:44:44 pavka kernel: [139226.190817]  [<c103cea5>] ? 
local_bh_enable+0x2/0x2
Mar 24 13:44:44 pavka kernel: [139226.190819] <IRQ>  [<c103d12a>] ? 
irq_exit+0x32/0x80
Mar 24 13:44:44 pavka kernel: [139226.190832]  [<c101e838>] ? 
smp_apic_timer_interrupt+0x5b/0x65
Mar 24 13:44:44 pavka kernel: [139226.190838]  [<c12c15d1>] ? 
apic_timer_interrupt+0x31/0x38
Mar 24 13:44:44 pavka kernel: [139226.190844]  [<c103007b>] ? 
default_scale_smt_power+0x6/0x16
Mar 24 13:44:44 pavka kernel: [139226.190851]  [<c1197dde>] ? 
intel_idle+0xcc/0xfa
Mar 24 13:44:44 pavka kernel: [139226.190857]  [<c120b1c6>] ? 
cpuidle_idle_call+0xcc/0x142
Mar 24 13:44:44 pavka kernel: [139226.190864]  [<c100b225>] ? 
cpu_idle+0x8b/0xaf
Mar 24 13:44:44 pavka kernel: [139226.190870]  [<c12b7cd4>] ? 
start_secondary+0x1be/0x1c3
Mar 24 13:44:44 pavka kernel: [139226.190874] ---[ end trace 
9505db0aca93c1f5 ]---





Removed tag(s) moreinfo and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 28 Mar 2012 14:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Tue, 03 Apr 2012 17:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to vorobev2002@mail.ru:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Apr 2012 17:51:12 GMT) Full text and rfc822 format available.

Message #44 received at 600286@bugs.debian.org (full text, mbox):

From: pavka <vorobev2002@mail.ru>
To: 600286@bugs.debian.org
Subject: Bug#600286: Info received (Bug#600286: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out")
Date: Tue, 03 Apr 2012 21:47:15 +0400
debian testing
kernel sid

Apr  3 21:37:54 pavka kernel: [36561.844540] ------------[ cut here 
]------------
Apr  3 21:37:54 pavka kernel: [36561.844552] WARNING: at 
/build/buildd-linux-2.6_3.2.13-1-i386-2plIcw/linux-2.6-3.2.13/debian/build/source_i386_none/net/sched/sch_generic.c:255 
dev_watchdog+0xb1/0x104()
Apr  3 21:37:54 pavka kernel: [36561.844557] Hardware name: INVALID
Apr  3 21:37:54 pavka kernel: [36561.844560] NETDEV WATCHDOG: eth0 
(atl1c): transmit queue 0 timed out
Apr  3 21:37:54 pavka kernel: [36561.844563] Modules linked in: 
usb_storage uas pci_stub snd_hrtimer vboxpci(O) vboxnetadp(O) 
vboxnetflt(O) vboxdrv(O) cpufreq_stats parport_pc ppdev lp parport 
nf_conntrack_netlink nf_conntrack nfnetlink bnep rfcomm bluetooth 
binfmt_misc uinput fuse nfsd nfs nfs_acl auth_rpcgss fscache lockd 
sunrpc ext4 crc16 jbd2 cpufreq_userspace cpufreq_powersave 
cpufreq_conservative acpi_cpufreq mperf loop snd_hda_codec_hdmi 
snd_hda_codec_realtek uvcvideo videodev media snd_hda_intel 
snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_page_alloc 
snd_seq_midi snd_seq_midi_event snd_rawmidi arc4 snd_seq joydev i915 
drm_kms_helper snd_seq_device snd_timer brcmsmac cordic drm snd crc8 
brcmutil mac80211 cfg80211 soundcore i2c_algo_bit iTCO_wdt ac battery 
i2c_i801 i2c_core iTCO_vendor_support intel_ips ideapad_laptop psmouse 
acer_wmi power_supply serio_raw sparse_keymap pcspkr evdev rfkill wmi 
processor button video ext3 mbcache jbd usbhid hid sr_mod sd_mod cdrom 
crc_t10dif atl1c ahci li
Apr  3 21:37:54 pavka kernel: [36561.844673] Pid: 0, comm: swapper/3 
Tainted: G           O 3.2.0-2-686-pae #1
Apr  3 21:37:54 pavka kernel: [36561.844675] Call Trace:
Apr  3 21:37:54 pavka kernel: [36561.844681]  [<c1038470>] ? 
warn_slowpath_common+0x68/0x79
Apr  3 21:37:54 pavka kernel: [36561.844684]  [<c12310cc>] ? 
dev_watchdog+0xb1/0x104
Apr  3 21:37:54 pavka kernel: [36561.844686]  [<c10384e9>] ? 
warn_slowpath_fmt+0x29/0x2d
Apr  3 21:37:54 pavka kernel: [36561.844689]  [<c12310cc>] ? 
dev_watchdog+0xb1/0x104
Apr  3 21:37:54 pavka kernel: [36561.844696]  [<c103cea5>] ? 
local_bh_enable+0x2/0x2
Apr  3 21:37:54 pavka kernel: [36561.844700]  [<c1042058>] ? 
run_timer_softirq+0x150/0x1f3
Apr  3 21:37:54 pavka kernel: [36561.844702]  [<c123101b>] ? 
netif_tx_unlock+0x3a/0x3a
Apr  3 21:37:54 pavka kernel: [36561.844705]  [<c103cea5>] ? 
local_bh_enable+0x2/0x2
Apr  3 21:37:54 pavka kernel: [36561.844708]  [<c103cf39>] ? 
__do_softirq+0x94/0x12f
Apr  3 21:37:54 pavka kernel: [36561.844710]  [<c103cea5>] ? 
local_bh_enable+0x2/0x2
Apr  3 21:37:54 pavka kernel: [36561.844712] <IRQ>  [<c103d12a>] ? 
irq_exit+0x32/0x80
Apr  3 21:37:54 pavka kernel: [36561.844719]  [<c101e838>] ? 
smp_apic_timer_interrupt+0x5b/0x65
Apr  3 21:37:54 pavka kernel: [36561.844724]  [<c12c15d1>] ? 
apic_timer_interrupt+0x31/0x38
Apr  3 21:37:54 pavka kernel: [36561.844728]  [<c103007b>] ? 
default_scale_smt_power+0x6/0x16
Apr  3 21:37:54 pavka kernel: [36561.844733]  [<c1197dde>] ? 
intel_idle+0xcc/0xfa
Apr  3 21:37:54 pavka kernel: [36561.844738]  [<c120b1c6>] ? 
cpuidle_idle_call+0xcc/0x142
Apr  3 21:37:54 pavka kernel: [36561.844743]  [<c100b225>] ? 
cpu_idle+0x8b/0xaf
Apr  3 21:37:54 pavka kernel: [36561.844747]  [<c12b7cd4>] ? 
start_secondary+0x1be/0x1c3
Apr  3 21:37:54 pavka kernel: [36561.844749] ---[ end trace 
ecaba32abb9a6712 ]---
Apr  3 21:37:54 pavka kernel: [36561.869618] atl1c 0000:03:00.0: atl1c: 
eth0 NIC Link is Up<100 Mbps Full Duplex>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Fri, 13 Apr 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Nelson <unixabg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Apr 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #49 received at 600286@bugs.debian.org (full text, mbox):

From: Richard Nelson <unixabg@gmail.com>
To: 600286@bugs.debian.org
Subject: Re: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Thu, 12 Apr 2012 19:31:18 -0500
Greetings,

I found this thread  https://lkml.org/lkml/2012/2/24/365  with a patch
of  https://lkml.org/lkml/diff/2012/2/24/365/1  perhaps it assists
some how on this issue.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Fri, 13 Apr 2012 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pavel Vorob`ev <vorobev2002@mail.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Apr 2012 10:54:06 GMT) Full text and rfc822 format available.

Message #54 received at 600286@bugs.debian.org (full text, mbox):

From: Pavel Vorob`ev <vorobev2002@mail.ru>
To: 600286@bugs.debian.org
Subject: Re: Bug#600286: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Fri, 13 Apr 2012 14:45:34 +0400
see end of message http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600286#32


Thu, 12 Apr 2012 19:31:18 -0500 от Richard Nelson <unixabg@gmail.com>:
> Greetings,
> 
> I found this thread  https://lkml.org/lkml/2012/2/24/365  with a patch
> of  https://lkml.org/lkml/diff/2012/2/24/365/1  perhaps it assists
> some how on this issue.
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/CA+p-VY-A-zVFL8-LODUdhRyLN95D=bbtEqberB4QNLu6X5GoMg@mail.gmail.com
> 
> 

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Fri, 13 Apr 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Nelson <unixabg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Apr 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #59 received at 600286@bugs.debian.org (full text, mbox):

From: Richard Nelson <unixabg@gmail.com>
To: 600286@bugs.debian.org
Subject: Re: Bug#600286: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Fri, 13 Apr 2012 10:52:42 -0500
Greetings,

On Fri, Apr 13, 2012 at 5:45 AM, Pavel Vorob`ev <vorobev2002@mail.ru> wrote:
> see end of message http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600286#32
>

I missed that. Sorry for that noise.

Also many thanks for the reply.

>
> Thu, 12 Apr 2012 19:31:18 -0500 от Richard Nelson <unixabg@gmail.com>:
>> Greetings,
>>
>> I found this thread  https://lkml.org/lkml/2012/2/24/365  with a patch
>> of  https://lkml.org/lkml/diff/2012/2/24/365/1  perhaps it assists
>> some how on this issue.
>>
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/CA+p-VY-A-zVFL8-LODUdhRyLN95D=bbtEqberB4QNLu6X5GoMg@mail.gmail.com
>>
>>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Fri, 13 Apr 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Apr 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #64 received at 600286@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Richard Nelson <unixabg@gmail.com>
Cc: 600286@bugs.debian.org, Pavel Vorob`ev <vorobev2002@mail.ru>
Subject: Re: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Fri, 13 Apr 2012 11:18:11 -0500
forwarded 600286 http://thread.gmane.org/gmane.linux.kernel/1252281/focus=221683
quit

Richard Nelson wrote:
> On Fri, Apr 13, 2012 at 5:45 AM, Pavel Vorob`ev <vorobev2002@mail.ru> wrote:

>> see end of message http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600286#32
>
> I missed that. Sorry for that noise.

No, nothing to be sorry about.

Can you fill in the blanks for me?  What kernels have you tested since
the original report, and how did each behave?  Does that patch
successfully prevent the driver and card from hanging?  The
conversation upstream seems to have stopped without any conclusion a
couple of months ago.

Thanks,
Jonathan




Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.kernel/1252281/focus=221683'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 13 Apr 2012 16:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Sun, 03 Jun 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to vorobev2002@mail.ru:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Jun 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #71 received at 600286@bugs.debian.org (full text, mbox):

From: pavka <vorobev2002@mail.ru>
To: 600286@bugs.debian.org
Subject: Re: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Sun, 03 Jun 2012 21:34:31 +0400
Jun  3 07:52:03 pavka rsyslogd: [origin software="rsyslogd" 
swVersion="5.8.11" x-pid="2261" x-info="http://www.rsyslog.com"] 
rsyslogd was HUPed
Jun  3 21:18:39 pavka kernel: [77941.886340] atl1c 0000:03:00.0: atl1c: 
eth0 NIC Link is Up<100 Mbps Full Duplex>
Jun  3 21:20:16 pavka kernel: [78038.105985] ------------[ cut here 
]------------
Jun  3 21:20:16 pavka kernel: [78038.106004] WARNING: at 
/build/buildd-linux-2.6_3.2.19-1-i386-c_JlIT/linux-2.6-3.2.19/debian/build/source_i386_none/net/sched/sch_generic.c:255 
dev_watchdog+0xb1/0x104()
Jun  3 21:20:16 pavka kernel: [78038.106013] Hardware name: INVALID
Jun  3 21:20:16 pavka kernel: [78038.106019] NETDEV WATCHDOG: eth0 
(atl1c): transmit queue 0 timed out
Jun  3 21:20:16 pavka kernel: [78038.106024] Modules linked in: 
snd_hrtimer cpufreq_stats parport_pc ppdev lp parport 
nf_conntrack_netlink nf_conntrack nfnetlink bnep rfcomm binfmt_misc 
uinput fuse nfsd nfs nfs_acl auth_rpcgss fscache lockd sunrpc ext4 jbd2 
cpufreq_userspace cpufreq_powersave cpufreq_conservative acpi_cpufreq 
mperf loop snd_hda_codec_hdmi snd_hda_codec_realtek btusb bluetooth 
uvcvideo snd_hda_intel snd_hda_codec videodev snd_hwdep snd_pcm_oss 
snd_mixer_oss snd_pcm crc16 media snd_page_alloc snd_seq_midi 
snd_seq_midi_event joydev snd_rawmidi snd_seq i915 drm_kms_helper drm 
snd_seq_device snd_timer snd psmouse soundcore i2c_i801 i2c_algo_bit 
pcspkr serio_raw evdev battery video processor ac i2c_core power_supply 
button acer_wmi intel_ips ideapad_laptop iTCO_wdt sparse_keymap 
iTCO_vendor_support rfkill wmi ext3 mbcache jbd usbhid hid sr_mod sd_mod 
cdrom crc_t10dif ahci libahci libata scsi_mod atl1c thermal ehci_hcd 
thermal_sys usbcore usb_common [last unloaded: scsi_wait_scan]
Jun  3 21:20:16 pavka kernel: [78038.106175] Pid: 0, comm: swapper/0 Not 
tainted 3.2.0-2-686-pae #1
Jun  3 21:20:16 pavka kernel: [78038.106180] Call Trace:
Jun  3 21:20:16 pavka kernel: [78038.106194]  [<c10384ec>] ? 
warn_slowpath_common+0x68/0x79
Jun  3 21:20:16 pavka kernel: [78038.106201]  [<c1231c0c>] ? 
dev_watchdog+0xb1/0x104
Jun  3 21:20:16 pavka kernel: [78038.106207]  [<c1038565>] ? 
warn_slowpath_fmt+0x29/0x2d
Jun  3 21:20:16 pavka kernel: [78038.106214]  [<c1231c0c>] ? 
dev_watchdog+0xb1/0x104
Jun  3 21:20:16 pavka kernel: [78038.106227]  [<c103ceed>] ? 
local_bh_enable+0x2/0x2
Jun  3 21:20:16 pavka kernel: [78038.106236]  [<c10420a0>] ? 
run_timer_softirq+0x150/0x1f3
Jun  3 21:20:16 pavka kernel: [78038.106242]  [<c1231b5b>] ? 
netif_tx_unlock+0x3a/0x3a
Jun  3 21:20:16 pavka kernel: [78038.106249]  [<c103ceed>] ? 
local_bh_enable+0x2/0x2
Jun  3 21:20:16 pavka kernel: [78038.106255]  [<c103cf81>] ? 
__do_softirq+0x94/0x12f
Jun  3 21:20:16 pavka kernel: [78038.106262]  [<c103ceed>] ? 
local_bh_enable+0x2/0x2
Jun  3 21:20:16 pavka kernel: [78038.106266] <IRQ>  [<c103d172>] ? 
irq_exit+0x32/0x80
Jun  3 21:20:16 pavka kernel: [78038.106280]  [<c101e869>] ? 
smp_apic_timer_interrupt+0x5b/0x65
Jun  3 21:20:16 pavka kernel: [78038.106290]  [<c12c2189>] ? 
apic_timer_interrupt+0x31/0x38
Jun  3 21:20:16 pavka kernel: [78038.106299]  [<c103007b>] ? 
sched_proc_update_handler+0x3e/0x68
Jun  3 21:20:16 pavka kernel: [78038.106308]  [<c11984be>] ? 
intel_idle+0xcc/0xfa
Jun  3 21:20:16 pavka kernel: [78038.106320]  [<c120ba06>] ? 
cpuidle_idle_call+0xcc/0x142
Jun  3 21:20:16 pavka kernel: [78038.106329]  [<c100b199>] ? 
cpu_idle+0x8b/0xaf
Jun  3 21:20:16 pavka kernel: [78038.106337]  [<c141e6fe>] ? 
start_kernel+0x320/0x325
Jun  3 21:20:16 pavka kernel: [78038.106342] ---[ end trace 
63637f30857b91e3 ]---
Jun  3 21:20:16 pavka kernel: [78038.135545] atl1c 0000:03:00.0: atl1c: 
eth0 NIC Link is Up<100 Mbps Full Duplex>
Jun  3 21:21:25 pavka kerneloops: Submitted 1 kernel oopses to 
www.kerneloops.org
Jun  3 21:27:45 pavka kernel: [78486.440002] atl1c 0000:03:00.0: atl1c: 
eth0 NIC Link is Up<100 Mbps Full Duplex>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#600286; Package linux-2.6. (Wed, 06 Jun 2012 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Jun 2012 00:39:03 GMT) Full text and rfc822 format available.

Message #76 received at 600286@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: vorobev2002@mail.ru
Cc: 600286@bugs.debian.org, Richard Nelson <unixabg@gmail.com>, Niels Möller <nisse@lysator.liu.se>
Subject: Re: atl1c driver hangs after "NETDEV WATCHDOG: eth0 (atl1c): transmit queue 0 timed out"
Date: Tue, 5 Jun 2012 19:36:54 -0500
# 3.2.6
tags 600286 + upstream
found 600286 linux-2.6/3.2.19-1
# [1]
tags 600286 + patch moreinfo
quit

Hi,

pavka wrote:

> WARNING: at /build/buildd-linux-2.6_3.2.19-1-i386-c_JlIT/linux-2.6-3.2.19/debian/build/source_i386_none/net/sched/sch_generic.c:255 dev_watchdog+0xb1/0x104()

Thanks.  Does Eric's patch from [1] help?

Jonathan

[1] http://thread.gmane.org/gmane.linux.kernel/1252281/focus=1257968




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:09 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.2.19-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:10 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:35:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.